/*
** nbgethost.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:51:07 1999 
** Last update Thu Oct 28 20:21:44 1999 
*/
#ifndef NBGETHOST_H
#define NBGETHOST_H	1

#include "mg.h"

extern t_boolean	nbgethost_active;
extern t_u32		nbgethost_timeout;

/* PROTO nbgethost.c */
/* nbgethost.c */
t_status nbgethost_init P((void));
t_status nbgethost_destroy_inaddr_walk P((t_hash_elt *he, void *unused));
void nbgethost_destroy P((void));
void sigalrm P((int unused));
struct hostent *nbgethostbyname P((char *name));
struct hostent *nbgethostbyaddr P((char *addr, int addrlen, int family));
t_status inaddr_from_str_alarm P((char *str, struct in_addr *mba_inaddr, t_boolean resolve));
t_status inaddr_to_str_alarm P((struct in_addr *mba_inaddr, char *str, int max_len, t_boolean resolve));
t_status nbgethost_inaddr_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status nbgethost_inaddr_get_choices P((t_vec *vec_str));
t_status nbgethost_hostname_get_choices_walk P((t_hash_elt *he, t_vec *vec_str));
t_status nbgethost_hostname_get_choices P((t_vec *vec_str));
t_status nbgethost_get_choices P((t_vec *vec_str));
#endif
